Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteAuthenticator

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteAuthenticator

extends java.rmi.Remote

This RMI interface provides methods to RemoteAuthenticate valid users and actions.

Method Summary
`java.lang.String` | `changePassword(java.lang.String realm, java.lang.String byUserID, java.lang.String userID, java.lang.String password, java.lang.String newPassword)` Changes the password of an user.
`java.lang.String` | `changePasswordEx(java.lang.String realm, java.lang.String byUserID, java.lang.String userID, java.lang.String password, java.lang.String newPassword)` Changes the password of an user.
`boolean` | `checkPrivilege(java.lang.String realm, java.lang.String userID, java.lang.String privilege)` Tests if the user has the privilege or not.
`boolean` | `isAdminUser(java.lang.String realm, java.lang.String userID)`
`boolean` | `isOrganizationAdminUser(java.lang.String realm, java.lang.String userID)`
`boolean` | `isPermissionOk(java.lang.String realm, java.lang.String userID, java.lang.String resource, int versionNumber, java.lang.String action)` Tests if the user has the permission to perform the action for the resource on server.
`boolean` | `isPermissionOk(java.lang.String realm, java.lang.String userID, java.lang.String resource, java.lang.String action)` Tests if the user has the permission to perform the action for the resource on server.
`boolean` | `isValidAdminUser(java.lang.String realm, java.lang.String userID, java.lang.String password)` Tests if the user is a valid admin user.
`boolean` | `isValidAdminUserEx(java.lang.String realm, java.lang.String userID, java.lang.String password)` Tests if the user is a valid admin user.
`boolean` | `isValidOrganizationAdminUser(java.lang.String realm, java.lang.String userID, java.lang.String password)` Checks if the user is valid admin user of an organization.
`boolean` | `isValidUser(java.lang.String realm, java.lang.String userID, java.lang.String password)` Tests if the user is valid.
`boolean` | `isValidUserEx(java.lang.String realm, java.lang.String userID, java.lang.String password)` Tests if the user is valid.

Method Detail

### isValidUser

    boolean isValidUser(java.lang.String realm,
                        java.lang.String userID,
                        java.lang.String password)
                        throws java.rmi.RemoteException

  Tests if the user is valid.

  Parameters:
    `realm` - The realm.
    `userID` - The user ID.
    `password` - The password.
  Returns:
    if the user is valid.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isValidUserEx

    boolean isValidUserEx(java.lang.String realm,
                          java.lang.String userID,
                          java.lang.String password)
                          throws java.rmi.RemoteException,
                                 InvalidUserException

  Tests if the user is valid.

  Parameters:
    `realm` - The realm.
    `userID` - The user ID.
    `password` - The password.
  Returns:
    if the user is valid.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `InvalidUserException` - if the user is not valid.

### isValidAdminUser

    boolean isValidAdminUser(java.lang.String realm,
                             java.lang.String userID,
                             java.lang.String password)
                             throws java.rmi.RemoteException

  Tests if the user is a valid admin user.

  Parameters:
    `realm` - The realm.
    `userID` - The user ID.
    `password` - The password.
  Returns:
    if the user is valid.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isValidAdminUserEx

    boolean isValidAdminUserEx(java.lang.String realm,
                               java.lang.String userID,
                               java.lang.String password)
                               throws java.rmi.RemoteException,
                                      InvalidUserException

  Tests if the user is a valid admin user.

  Parameters:
    `realm` - The realm.
    `userID` - The user ID.
    `password` - The password.
  Returns:
    if the user is valid.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `InvalidUserException` - if the user is not valid.

### isAdminUser

    boolean isAdminUser(java.lang.String realm,
                        java.lang.String userID)
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### isValidOrganizationAdminUser

    boolean isValidOrganizationAdminUser(java.lang.String realm,
                                         java.lang.String userID,
                                         java.lang.String password)
                                         throws java.rmi.RemoteException

  Checks if the user is valid admin user of an organization.

  Parameters:
    `realm` - the realm.
    `userID` - the user ID, organization name and user name is separated by "\".
    `password` - the password.
  Returns:
    if the user is valid.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    version 13

### isOrganizationAdminUser

    boolean isOrganizationAdminUser(java.lang.String realm,
                                    java.lang.String userID)
                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### isPermissionOk

    boolean isPermissionOk(java.lang.String realm,
                           java.lang.String userID,
                           java.lang.String resource,
                           java.lang.String action)
                           throws java.rmi.RemoteException

  Tests if the user has the permission to perform the action for the resource on server.

  Parameters:
    `realm` - The realm.
    `userID` - The user ID.
    `resource` - The resource on server. For example, /SunVMDemo/SunVMDemo.cat/invoice.cls.
    `action` - The action for the resource on server. For example, APIConst.CMD_WEB_VIEW.
  Returns:
    if the user has the permission to perform the action for the resource on server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isPermissionOk

    boolean isPermissionOk(java.lang.String realm,
                           java.lang.String userID,
                           java.lang.String resource,
                           int versionNumber,
                           java.lang.String action)
                           throws java.rmi.RemoteException

  Tests if the user has the permission to perform the action for the resource on server.

  Parameters:
    `realm` - The realm.
    `userID` - The user ID.
    `resource` - The resource on server. For example: /SunVMDemo/SunVMDemo.cat.
    `versionNumber` - Version number of the resource that specifies which version will be checked.
    `action` - The action for the resource on server. For example, APIConst.CMD_WEB_VIEW.
  Returns:
    if the user has the permission to perform the action for the resource on server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### checkPrivilege

    boolean checkPrivilege(java.lang.String realm,
                           java.lang.String userID,
                           java.lang.String privilege)
                           throws java.rmi.RemoteException

  Tests if the user has the privilege or not.

  Parameters:
    `realm` - The realm.
    `userID` - The user ID.
    `privilege` - String of the privilege. Available privileges are: APIConst.PRIVILEGE_PUBLISH_REPORT, APIConst.PRIVILEGE_ACCESS_ADVANCED_PROPERTIES
  Returns:
    true if the user has the privilege.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### changePassword

    java.lang.String changePassword(java.lang.String realm,
                                    java.lang.String byUserID,
                                    java.lang.String userID,
                                    java.lang.String password,
                                    java.lang.String newPassword)
                                    throws java.rmi.RemoteException

  Changes the password of an user.

  Parameters:
    `realm` - The realm.
    `byUserID` - Changes the password by user ID.
    `userID` - The user ID whose password will be changed.
    `password` - Password of the user.
    `newPassword` - New password of the user.
  Returns:
    the error message, which will be null if there is no error.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### changePasswordEx

    java.lang.String changePasswordEx(java.lang.String realm,
                                      java.lang.String byUserID,
                                      java.lang.String userID,
                                      java.lang.String password,
                                      java.lang.String newPassword)
                                      throws java.rmi.RemoteException,
                                             InvalidPasswordException

  Changes the password of an user.

  Parameters:
    `realm` - The realm.
    `byUserID` - Changes the password by user ID.
    `userID` - The user ID whose password will be changed.
    `password` - Password of the user.
    `newPassword` - New password of the user.
  Returns:
    the error message, which will be null if there is no error.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `InvalidPasswordException` - if password not match advanced password rule

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD